/*
 *
 *	Entete des primitives de gestion de gnrations de codes machines.
 *
 * 	Auteur : FAVARD Laurent
 *	Fichier: CODEUR.H
 *	Pays   : FRANCE
 *	Date   : 20 Mars 1994
 *	Revision: 26 Mars 1994
 *	Version : 1.0
 *	Release : 1.0
 *	Machine : ATARI Falcon030 TOS 4.2
 *	Processeur cible: MC68705 P3S (Famille 6805)
 */

#ifndef __CODEUR__
#define __CODEUR__ __CODEUR__

/*
  ----------------- Primitives de calcul des codes machines -------------------
*/

extern int Inherant(char *instruction,int *CodeHexa);
extern int Immediat(char *instruction,int *CodeHexa);
extern int Direct(char *instruction,int *CodeHexa);
extern int Etendu(char *instruction,int *CodeHexa);
extern int Relatif(char *instruction,int *CodeHexa);
extern int BitSetClear(char *hinst,char valeur,int *CodeHexa);
extern int Index0(char *instruction,int *CodeHexa);
extern int Index8(char *instruction,int *CodeHexa);
extern int Index16(char *instruction,int *CodeHexa);
extern int BitTestBranch(char *hinst,char valeur,int *CodeHexa);

/*
  ----------------------- Primitives de production ------------------------
*/

extern void Coder1(char *texte,int CodeHexa);
extern void Coder2(char *texte,int CodeHexa,int operande);
extern void Coder3(char *texte,int CodeMachine,int op1,int op2);

#endif