*******************************************************************************************
*
*		Sources file index null & 8 bits register X for Agressiv assembler.
*
*		Test opcode for Motorola 68HC11 micro-computer
*		FAVARD Laurent 1996 ATARI Computers range
*
*	File	:	INDEX_X.S
*	Target	:	MC 68HC11
*	Date	:	14/10/96
*	Release	:	none
*	Author	:	FAVARD Laurent Funship
*
*******************************************************************************************

		OPT	MC68HC11		;	Select target processor

etik1		Equ	$10			;	Somes labels definitions
etik2		Equ	$20
etik3		Equ	$30

Index_0	Equ	$00
Index_8	Equ	$1A

		TEXT				;	Section code
		ORG	$100			; 	Start address of code

start:

		ADCA	Index_0, X
		ADCA	Index_8, X
		ADCA	Index_0, Y
		ADCA	Index_8, Y
				    
		ADCB	Index_0, X
		ADCB	Index_8, X
		ADCB	Index_0, Y
		ADCB	Index_8, Y

		ADDA	Index_0, X
		ADDA	Index_8, X
		ADDA	Index_0, Y
		ADDA	Index_8, Y

		ADDB	Index_0, X
		ADDB	Index_8, X
		ADDB	Index_0, Y
		ADDB	Index_8, Y

		ADDD	Index_0, X
		ADDD	Index_8, X
		ADDD	Index_0, Y
		ADDD	Index_8, Y

		ANDA	Index_0, X
		ANDA	Index_8, X
		ANDA	Index_0, Y
		ANDA	Index_8, Y

		ANDB	Index_0, X
		ANDB	Index_8, X
		ANDB	Index_0, Y
		ANDB	Index_8, Y

		ASL	Index_0, X
		ASL	Index_8, X
		ASL	Index_0, Y
		ASL	Index_8, Y
				    
		ASR	Index_0, X
		ASR	Index_8, X
		ASR	Index_0, Y
		ASR	Index_8, Y

		BITA	Index_0, X
		BITA	Index_8, X
		BITA	Index_0, Y
		BITA	Index_8, Y

		BITB	Index_0, X
		BITB	Index_8, X
		BITB	Index_0, Y
		BITB	Index_8, Y

		CLR	Index_0, X
		CLR	Index_8, X
		CLR	Index_0, Y
		CLR	Index_8, Y

		CMPA	Index_0, X
		CMPA	Index_8, X
		CMPA	Index_0, Y
		CMPA	Index_8, Y

		CMPB	Index_0, X
		CMPB	Index_8, X
		CMPB	Index_0, Y
		CMPB	Index_8, Y

		COM	Index_0, X
		COM	Index_8, X
		COM	Index_0, Y
		COM	Index_8, Y

		CPD	Index_0, X
		CPD	Index_8, X
		CPD	Index_0, Y
		CPD	Index_8, Y

		CPX	Index_0, X
		CPX	Index_8, X
		CPX	Index_0, Y
		CPX	Index_8, Y

		CPY	Index_0, X
		CPY	Index_8, X
		CPY	Index_0, Y
		CPY	Index_8, Y

		DEC	Index_0, X
		DEC	Index_8, X
		DEC	Index_0, Y
		DEC	Index_8, Y

		EORA	Index_0, X
		EORA	Index_8, X
		EORA	Index_0, Y
		EORA	Index_8, Y

		EORB	Index_0, X
		EORB	Index_8, X
		EORB	Index_0, Y
		EORB	Index_8, Y

		INC	Index_0, X
		INC	Index_8, X
		INC	Index_0, Y
		INC	Index_8, Y

		JMP	Index_0, X
		JMP	Index_8, X
		JMP	Index_0, Y
		JMP	Index_8, Y

		JSR	Index_0, X
		JSR	Index_8, X
		JSR	Index_0, Y
		JSR	Index_8, Y

		LDAA	Index_0, X
		LDAA	Index_8, X
		LDAA	Index_0, Y
		LDAA	Index_8, Y

		LDAB	Index_0, X
		LDAB	Index_8, X
		LDAB	Index_0, Y
		LDAB	Index_8, Y

		LDD	Index_0, X
		LDD	Index_8, X
		LDD	Index_0, Y
		LDD	Index_8, Y

		LDS	Index_0, X
		LDS	Index_8, X
		LDS	Index_0, Y
		LDS	Index_8, Y

		LDX	Index_0, X
		LDX	Index_8, X
		LDX	Index_0, Y
		LDX	Index_8, Y	

		LDY	Index_0, X
		LDY	Index_8, X
		LDY	Index_0, Y
		LDY	Index_8, Y

		LSL	Index_0, X
		LSL	Index_8, X
		LSL	Index_0, Y
		LSL	Index_8, Y

		LSR	Index_0, X
		LSR	Index_8, X
		LSR	Index_0, Y
		LSR	Index_8, Y

		NEG	Index_0, X
		NEG	Index_8, X
		NEG	Index_0, Y
		NEG	Index_8, Y

		ORAA	Index_0, X
		ORAA	Index_8, X
		ORAA	Index_0, Y
		ORAA	Index_8, Y

		ORAB	Index_0, X
		ORAB	Index_8, X
		ORAB	Index_0, Y
		ORAB	Index_8, Y

		ROL	Index_0, X
		ROL	Index_8, X
		ROL	Index_0, Y
		ROL	Index_8, Y

		ROR	Index_0, X
		ROR	Index_8, X
		ROR	Index_0, Y

		SBCA	Index_0, X
		SBCA	Index_8, X
		SBCA	Index_0, Y
		SBCA	Index_8, Y


		SBCB	Index_0, X
		SBCB	Index_8, X	
		SBCB	Index_0, Y
		SBCB	Index_8, Y



		STAA	Index_0, X
		STAA	Index_8, X	
		STAA	Index_0, Y
		STAA	Index_8, Y	

		STAB	Index_0, X
		STAB	Index_8, X	
		STAB	Index_0, Y
		STAB	Index_8, Y


		STAD	Index_0, X
		STAD	Index_8, X
		STAD	Index_0, Y
		STAD	Index_8, Y


		STS	Index_0, X
		STS	Index_8, X	
		STS	Index_0, Y
		STS	Index_8, Y	


		STX	Index_0, X
		STX	Index_8, X
		STX	Index_0, Y	
		STX	Index_8, Y		


		STY	Index_0, X	
		STY	Index_8, X		
		STY	Index_0, Y	
		STY	Index_8, Y		


		SUBA	Index_0, X	
		SUBA	Index_8, X		
		SUBA	Index_0, Y	
		SUBA	Index_8, Y	


		SUBB	Index_0, X
		SUBB	Index_8, X
		SUBB	Index_0, Y
		SUBB	Index_8, Y


		SUBD	Index_0, X
		SUBD	Index_8, X	
		SUBD	Index_0, Y
		SUBD	Index_8, Y	

		TST	Index_0, X
		TST	Index_8, X	
		TST	Index_0, Y
		TST	Index_8, Y	

Fin:


		End					; End for the assembler
		