/*
 *
 *	Fichier entete de l'analyseur syntaxique pour langage d'assemblage.
 *
 * 	Auteur : FAVARD Laurent
 *	Fichier: SYNTAXIC.H
 *	Pays   : FRANCE
 *	Date   : 20 Mars 1994
 *	Revision: 20 Mars 1994
 *	Version : 1.0
 *	Machine : ATARI Falcon030 TOS 4.2
 */

#ifndef __SYNTAX__ 
#define __SYNTAX__ __SYNTAX__

/*
  ------------------------- Primitives syntaxiques ------------------------
*/

extern	int		symbole;		/* contient l'unit lexicale actuelle */
extern	unsigned long	CompteurAssemblage;
extern	unsigned long	MaxAdresseAssemblage;
extern	unsigned long	StartAdresseAssemblage;

extern	char		TargetProcessor[];
extern	int		Axiome(void);		/* Axiome de la grammaire */

/*
  ---------------------------- Primitives autres --------------------------
*/

extern	int	ResolutionAdressage(void);

#endif
