*******************************************************************************************
*
*		Sources file Immediat 8 and 16 bits operand for Agressiv assembler.
*
*		Test opcode for Motorola 68HC11 micro-computer
*		FAVARD Laurent, 1996 ATARI Computers range
*
*	File	:	IMMEDIAT.S
*	Target	:	MC 68HC11
*	Date	:	14/10/96
*	Release	:	none
*	Author	:	FAVARD Laurent, Funship
*
*******************************************************************************************

		OPT	MC68HC11		;	Select target processor

etik1		Equ	$10			;	Somes labels definitions
etik2		Equ	$20
etik3		Equ	$30

Valeur_8_bits	Equ	$3F			;	a 8 bits value operand
Valeur_16_bits	Equ	$2E4B			;	a 16 bits value operand

		TEXT				;	Section code
		ORG	$100			; 	Start address of code

start:

		ADCA	#Valeur_8_bits
	    	ADCB	#Valeur_8_bits
		ADDA	#Valeur_8_bits
		ADDB	#Valeur_8_bits
		ADDD	#Valeur_16_bits
		ANDA	#Valeur_8_bits
		ANDB	#Valeur_8_bits
		BITA	#Valeur_8_bits
		BITB	#Valeur_8_bits
		CMPA	#Valeur_8_bits
		CMPB	#Valeur_8_bits
		CPD	#Valeur_16_bits
		CPX	#Valeur_16_bits
		CPY	#Valeur_16_bits
		EORA	#Valeur_8_bits
		EORB	#Valeur_8_bits
		LDAA	#Valeur_8_bits
		LDAB	#Valeur_8_bits
		LDD	#Valeur_16_bits
		LDS	#Valeur_16_bits
		LDX	#Valeur_16_bits
		LDY	#Valeur_16_bits
		ORAA	#Valeur_8_bits
		ORAB	#Valeur_8_bits
		SBCA	#Valeur_8_bits
		SBCB	#Valeur_8_bits
		SUBA	#Valeur_8_bits
		SUBB	#Valeur_8_bits
		SUBD	#Valeur_16_bits
Fin:


		End					; End for the assembler
		